Package org.apache.synapse.transport.passthru.config

## Class SourceConfiguration

- java.lang.Object
- - org.apache.synapse.transport.passthru.config.BaseConfiguration
  - - org.apache.synapse.transport.passthru.config.SourceConfiguration

-     public class SourceConfiguration
      extends BaseConfiguration

  This class stores configurations specific to the Listeners

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.passthru.config.BaseConfiguration

      `bufferFactory, conf, configurationContext, httpParams, ioReactorConfig, parameters, preserveHttpHeaders, preserveServerHeader, preserveUserAgentHeader`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceConfiguration​(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportInDescription description, Scheme scheme, org.apache.axis2.transport.base.threads.WorkerPool pool, PassThroughTransportMetricsCollector metrics)` |
    `SourceConfiguration​(org.apache.axis2.transport.base.threads.WorkerPool pool, PassThroughTransportMetricsCollector metrics)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `build()` |
    `boolean` | `getBooleanValue​(String name, boolean def)` | return boolean value of the given property else return default value.
    `String` | `getCustomEPRPrefix()` |
    `String` | `getHostname()` |
    `HttpGetRequestProcessor` | `getHttpGetRequestProcessor()` |
    `org.apache.http.params.HttpParams` | `getHttpParams()` |
    `org.apache.http.protocol.HttpProcessor` | `getHttpProcessor()` |
    `org.apache.axis2.description.TransportInDescription` | `getInDescription()` |
    `org.apache.http.impl.nio.reactor.IOReactorConfig` | `getIOReactorConfig()` |
    `int` | `getPort()` |
    `org.apache.http.HttpResponseFactory` | `getResponseFactory()` |
    `Scheme` | `getScheme()` |
    `String` | `getServiceEPRPrefix()` |
    `protected String` | `getServiceEPRPrefix​(org.apache.axis2.context.ConfigurationContext cfgCtx, String wsdlEPRPrefix)` | Return the EPR prefix for services made available over this transport
    `protected String` | `getServiceEPRPrefix​(org.apache.axis2.context.ConfigurationContext cfgCtx, String host, int port)` | Return the EPR prefix for services made available over this transport
    `SourceConnections` | `getSourceConnections()` |

    - ### Methods inherited from class org.apache.synapse.transport.passthru.config.BaseConfiguration

      `buildHttpParams, buildIOReactorConfig, getBufferFactory, getConfigurationContext, getIOBufferSize, getMetrics, getPreserveHttpHeaders, getSecondaryWorkerPool, getWorkerPool, getWorkerPool, isCorrelationLoggingEnabled, isPreserveHttpHeader, populatePreserveHttpHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceConfiguration

          public SourceConfiguration​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                     org.apache.axis2.description.TransportInDescription description,
                                     Scheme scheme,
                                     org.apache.axis2.transport.base.threads.WorkerPool pool,
                                     PassThroughTransportMetricsCollector metrics)

    - #### SourceConfiguration

          public SourceConfiguration​(org.apache.axis2.transport.base.threads.WorkerPool pool,
                                     PassThroughTransportMetricsCollector metrics)

  - ### Method Detail

    - #### build

          public void build()
                     throws org.apache.axis2.AxisFault

      Overrides:
        `build` in class `BaseConfiguration`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getHttpParams

          public org.apache.http.params.HttpParams getHttpParams()

    - #### getIOReactorConfig

          public org.apache.http.impl.nio.reactor.IOReactorConfig getIOReactorConfig()

    - #### getHttpProcessor

          public org.apache.http.protocol.HttpProcessor getHttpProcessor()

    - #### getResponseFactory

          public org.apache.http.HttpResponseFactory getResponseFactory()

    - #### getHostname

          public String getHostname()

    - #### getPort

          public int getPort()

    - #### getSourceConnections

          public SourceConnections getSourceConnections()

    - #### getInDescription

          public org.apache.axis2.description.TransportInDescription getInDescription()

    - #### getScheme

          public Scheme getScheme()

    - #### getServiceEPRPrefix

          public String getServiceEPRPrefix()

    - #### getCustomEPRPrefix

          public String getCustomEPRPrefix()

    - #### getHttpGetRequestProcessor

          public HttpGetRequestProcessor getHttpGetRequestProcessor()

    - #### getServiceEPRPrefix

          protected String getServiceEPRPrefix​(org.apache.axis2.context.ConfigurationContext cfgCtx,
                                               String wsdlEPRPrefix)

      Return the EPR prefix for services made available over this transport
      Parameters:
        `cfgCtx` - configuration context to retrieve the service context path
        `wsdlEPRPrefix` - specified wsdlPrefix
      Returns:
        wsdlEPRPrefix for the listener

    - #### getServiceEPRPrefix

          protected String getServiceEPRPrefix​(org.apache.axis2.context.ConfigurationContext cfgCtx,
                                               String host,
                                               int port)

      Return the EPR prefix for services made available over this transport
      Parameters:
        `cfgCtx` - configuration context to retrieve the service context path
        `host` - name of the host
        `port` - listening port
      Returns:
        wsdlEPRPrefix for the listener

    - #### getBooleanValue

          public boolean getBooleanValue​(String name,
                                         boolean def)

      return boolean value of the given property else return default value.
      Parameters:
        `name` - Name of the Property
        `def` - Default value
      Returns: